Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jxpath
Class FunctionLibrary

    java.lang.Object
      org.apache.commons.jxpath.FunctionLibrary

All Implemented Interfaces:
  Functions

    public class FunctionLibrary

extends Object
implements Functions

An object that aggregates `Functions` objects into a group Functions object. Since `JXPathContext` can only register a single Functions object, FunctionLibrary should always be used to group all Functions objects that need to be registered.

Version:
  $Revision: 652845 $ $Date: 2008-05-02 12:46:46 -0500 (Fri, 02 May 2008) $
Author:
  Dmitri Plotnikov

Constructor Summary
`FunctionLibrary()`

Method Summary
`void` | `addFunctions(Functions functions)` Add functions to the library
`Function` | `getFunction(String namespace, String name, Object[] parameters)` Returns a Function, if any, for the specified namespace, name and parameter types.
`Set` | `getUsedNamespaces()` Returns a set containing all namespaces used by the aggregated Functions.
`void` | `removeFunctions(Functions functions)` Remove functions from the library.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FunctionLibrary

    public FunctionLibrary()

Method Detail

### addFunctions

    public void addFunctions(Functions functions)

  Add functions to the library

  Parameters:
    `functions` - to add

### removeFunctions

    public void removeFunctions(Functions functions)

  Remove functions from the library.

  Parameters:
    `functions` - to remove

### getUsedNamespaces

    public Set getUsedNamespaces()

  Returns a set containing all namespaces used by the aggregated Functions.

  Specified by:
    `getUsedNamespaces` in interface `Functions`
  Returns:
    Set

### getFunction

    public Function getFunction(String namespace,
                                String name,
                                Object[] parameters)

  Returns a Function, if any, for the specified namespace, name and parameter types.

  Specified by:
    `getFunction` in interface `Functions`
  Parameters:
    `namespace` - function namespace
    `name` - function name
    `parameters` - parameters
  Returns:
    Function found

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.